gnumail (1.4.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on gnustep-make (>= 2.7.0-4).
    + Build-Depends: Drop versioned constraint on libpantomime-dev (>= 1.3.0).

  [ Yavor Doganov ]
  * New upstream release:
    + Fixes FTBFS with pantomime/1.4.0 (Closes: #1032830).
  * debian/control (Build-Depends): Require libpantomime-dev (>= 1.4).
    Drop gnustep-make; always pulled in.  Switch to the debhelper-compat
    mechanism; bump level to 13.  Add icu-devtools for conversion to UTF-8
    with BOM (uconv supports this feature while iconv does not).  Add
    imagemagick for the icon conversion.
    (Rules-Requires-Root): Set to "no".
    (Standards-Version): Claim compliance with 4.6.2; no changes needed.
  * debian/compat: Delete.
  * debian/rules (DEB_LDFLAGS_MAINT_APPEND): Drop -Wl,--as-needed.
    (override_dh_auto_install): Delete empty usr/include/GNUstep/GNUMail.
    Convert translations to UTF-8; fixes lintian W: national-encoding.
    Convert the app icon to PNG (AppStream does not support TIFF).
    (override_dh_installdocs-arch): New override; convert a file to UTF-8
    in order to fix lintian warning national-encoding.
  * debian/gnumail.app.install: Install the PNG version of the app icon.
  * debian/GNUMail.desktop: Use the PNG icon.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 26 Jun 2023 00:42:56 +0300

gnumail (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control (Build-Depends): Replace libpantomime1.2-dev with
    libpantomime-dev (>= 1.3.0).  Bump gnustep-make requirement to >=
    2.7.0-4 for "terse" support.
    (gnumail.app-common): Mark as Multi-Arch: foreign.
    (Vcs-Git, Vcs-Browser): Update following the migration to Salsa.
    (Standards-Version): Claim compliance with 4.2.1.
  * debian/patches/link-libs.patch: Remove; merged upstream.
  * debian/patches/spelling-fixes.patch: Likewise.
  * debian/patches/series: Delete.
  * debian/rules (override_dh_auto_install): Delete unnecessary extra
    copyright/license notices for translations.
    (override_dh_auto_build): Support "terse" in DEB_BUILD_OPTIONS.
  * debian/copyright: Update copyright years.
  * debian/NEWS: Inform users about the new format of the IMAP cache and
    how to proceed when the conversion fails.
  * debian/gbp.conf: New file.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 19 Dec 2018 15:32:40 +0200

gnumail (1.2.3-1) unstable; urgency=high

  * New upstream release.
  * Set urgency to "high" due to the nature of the bug it fixes.
  * debian/watch: Switch to Savannah.
  * debian/gnumail.app-common.install:
  * debian/gnumail.app.links: Don't install the Face bundle; removed
    upstream due to unclear licensing.
  * debian/gnumail.app.install: Don't install a dangling symlink to the
    non-existing Headers directory and the .xpm icon.
  * debian/rules: Strip trailing whitespace.
    (DEB_LDFLAGS_MAINT_APPEND): Define to the previous value and pass
    dpkg-buildflags explicitly to restore hardening and strip the libssl
    dependency (Closes: #886305).  Pass $(optim), restoring lost support
    for noopt in DEB_BUILD_OPTIONS.
    (override_dh_auto_install): Pass GNUSTEP_SYSTEM_LIBRARIES to install
    the framework in /usr/lib/gworkspace.app as per Policy §10.2.  Delete
    dangling Headers symlink.
    (override_dh_auto_clean): Remove; completely unnecessary.
    (override_dh_link): Remove override and just delete the invalid
    .desktop file in the override_dh_auto_install recipe.
    (override_dh_makeshlibs): New override; pass --noscripts.
  * debian/compat: Bump compat level to 11.
  * debian/control (Homepage): Switch to the new one at nongnu.org.
    (Build-Depends): Require debhelper >= 11.  Remove obsolete
    libgnustep-gui-dev version requirement.  Add gnustep-make (>= 2.7.0-3)
    for the optim variable definition.
    (Breaks, Replaces): Remove; obsolete.
    (Standards-Version): Claim compliance with 4.1.3.
  * debian/GNUMail.xpm: Delete as the menu file is gone.
  * debian/patches/spelling-fixes.patch: Refresh.
  * debian/patches/link-libs.patch: Refresh and remove -lssl from the
    toplevel makefile, just in case.
  * debian/changelog: Delete trailing whitespace.
  * debian/copyright: Update Source location and copyright years; add more
    copyright holders and missing licenses (LGPL-2+ for the StepTalk
    support and LPGL-2.1+ for some icons).

 -- Yavor Doganov <yavor@gnu.org>  Fri, 05 Jan 2018 23:44:52 +0200

gnumail (1.2.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop -dbg package in favor of autogenerated -dbgsym packages.

  [ Eric Heintzmann ]
  * Update debian/watch file
  * Bump Standards-Version to 3.9.8
  * Add myself as new Uploader
  * Update Vcs-* fields
  * Add homepage
  * Remove useless ${gnustep:Depends} variable
  * Update debian/copyright file
  * Refresh patches
  * Overhaul *.install and *.links
  * Remove debian/menu file
  * Update debian/rules file  (Closes: #806037)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 22 Jan 2017 05:04:03 +0100

gnumail (1.2.2-1) unstable; urgency=medium

  * New upstream release:
    - Fixes crash when checking the SMTP AUTH capabilities and setting
      the account's SMTP options (Closes: #659489).
    - Compatible with current GNUstep libraries (Closes: #749740).
  * debian/patches/link-libs.patch: Refresh.
  * debian/patches/mail-window-crash.patch:
  * debian/patches/pgp-version.patch: Remove; applied upstream.
  * debian/patches/spelling-fixes.patch: New.
  * debian/patches/series: Update.
  * debian/compat: Set to 9.
  * debian/rules: Rewrite to use modern dh.  Enable hardening.
  * debian/control (Homepage): Remove, no longer works.
    (Build-Depends): Require libgnustep-gui-dev >= 0.24; bump debhelper.
    (gnumail.app-common): New package, split arch-indep files.
    (Depends): Add ${gnustep:Depends}.
    (Vcs-Git, Vcs-Browser): Use canonical URIs.
    (Standards-Version): Compliant with 3.9.6 as of this release.
  * debian/preinst: Delete; no longer needed.
  * debian/GNUMail.desktop: Add Keywords field.
  * debian/watch:
  * debian/install:
  * debian/manpages: New file.
  * debian/copyright: Rewrite in format 1.0.  Remove license for code
    removed long time ago.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 05 Nov 2014 13:23:30 +0200

gnumail (1.2.0~pre3+snap20071004-5) unstable; urgency=low

  * debian/patches/pgp-version.patch: Move local modifications here.
  * debian/patches/mail-window-crash: New, fixes a crash when displaying
    the main window (Closes: #645936).
  * debian/patches/link-libs.patch: New, link against all required
    libraries.
  * debian/patches/series: New file.
  * debian/control: Wrap all fields for diff-friendliness.
    (Uploaders): Add myself and remove Hubert as per his request.
    (Section): Change to `gnustep' and `debug' (for the -dbg package).
    (Build-Depends): Remove libssl-dev, the correct fix was made in
    pantomime.  Drop cdbs and unnecessary version requirements.
    (Homepage, Vcs-Git, Vcs-Browser): New fields.
    (Suggests): Remove ancient pgp variants.
    (Conflicts, Replaces): Remove, not needed.
    (Provides): Add mail-reader and imap-client (Closes: #599072).
    (Description): Make the short description less pretentious; mention
    GNUstep.  Don't praise the proprietary Mail.app program.
    (Standards-Version): Claim compliance with 3.9.2 as of this release.
  * debian/compat: Set to 8.
  * debian/rules: Rewrite to use plain debhelper.
  * debian/gnumail.app.overrides: Delete.
  * debian/source/format: New file, set to 3.0 (quilt).
  * debian/preinst:
  * debian/docs:
  * debian/GNUMail.desktop: New file.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 05 Nov 2011 11:17:50 +0200

gnumail (1.2.0~pre3+snap20071004-4) unstable; urgency=low

  * debian/control: Build-depend: on libssl-dev. (closes: #471612)

 -- Hubert Chathi <uhoreg@debian.org>  Wed, 19 Mar 2008 13:12:58 -0400

gnumail (1.2.0~pre3+snap20071004-3) unstable; urgency=low

  * Upload to unstable.
  * Bundles/PGP/PGPController.h, Bundles/PGP/PGPController.m,
    Bundles/PGP/PGPViewController.m: Rename bundle's -version method in PGP
    bundle to something that actually doesn't conflict. (closes: #457503)
  * debian/control (gnumail.app-dbg): Change priority to extra, to match
    overrides file.

 -- Hubert Chathi <uhoreg@debian.org>  Thu, 13 Mar 2008 15:31:49 -0400

gnumail (1.2.0~pre3+snap20071004-2) experimental; urgency=low

  * debian/control: Make the mailing list the maintainer.
  * debian/control: Bump standards version to 3.7.3. (no other changes needed)
  * debian/control, debian/rules: add debugging package.
  * Bundles/PGP/PGPController.h, Bundles/PGP/PGPController.m,
    Bundles/PGP/PGPViewController.m: Rename bundle's -version method in PGP
    bundle, to avoid conflicting names.  See if this helps #457503.
  * debian/rules: Remove call to strip. (closes: #437049)
  * debian/rules: Don't need to remove CVS directories any more.  Upstream
    doesn't use CVS.
  * debian/control, debian/compat: Bump debhelper compatibility to 5.

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 01 Feb 2008 11:56:26 -0500

gnumail (1.2.0~pre3+snap20071004-1) unstable; urgency=low

  * New upstream snapshot.
  * Recommend steptalk.
  * Build against new GNUstep.
    * Update GNUstep paths environment variables in debian/rules.
  * Update menu entry.
  * Remove unneeded preinst and README.Debian file.

 -- Hubert Chathi <uhoreg@debian.org>  Fri,  5 Oct 2007 12:11:07 -0400

gnumail (1.2.0~pre3-1~hc1) experimental; urgency=low

  * New upstream release.

 -- Hubert Chan <uhoreg@debian.org>  Wed, 28 Feb 2007 07:22:58 -0500

gnumail (1.2.0~pre2+20070131-1~hc1) experimental; urgency=low

  * New upstream snapshot.

 -- Hubert Chan <uhoreg@debian.org>  Wed, 31 Jan 2007 23:05:34 -0500

gnumail (1.2.0~pre2+20070129-1~hc1) experimental; urgency=low

  * New upstream snapshot.

 -- Hubert Chan <uhoreg@debian.org>  Mon, 29 Jan 2007 14:24:21 -0500

gnumail (1.2.0~pre2+20070119+newcache-1~hc1) experimental; urgency=low

  * New upstream snapshot, plus new experimental caching code.
  * Update my maintainer address.

 -- Hubert Chan <uhoreg@debian.org>  Fri, 19 Jan 2007 22:00:32 -0500

gnumail (1.2.0~pre2-1) unstable; urgency=low

  * New upstream release.
  * Add preinst script to move user-installed files in the Resources directory
    to /usr/share. (Closes: #364143)

 -- Hubert Chan <hubert@uhoreg.ca>  Wed, 27 Sep 2006 14:48:48 -0400

gnumail (1.1.99+20060527-1) unstable; urgency=low

  * New upstream snapshot.
  * Recompile with new GNUstep libraries.
  * Use cdbs for build rules.
  * Bump standards version to 3.7.2. (no changes)
  * Fix GPL license header in copyright file.
  * Disable clock bundle since it doesn't work in GNUstep.

 -- Hubert Chan <hubert@uhoreg.ca>  Wed, 30 Aug 2006 22:13:24 -0600

gnumail (1.1.99+20051227cvs-1) unstable; urgency=low

  * Upstream CVS checkout.
    - Upstream says that these bugs in BTS have already been fixed in CVS.
      (Closes: #293802, #294921, #325724, #296826)
    - Use thread arcs instead of threaded view. (Closes: #293802)
    - Fix composing message with UTF-8 subject. (Closes: #294921)
  * New co-maintainer.
  * Bump standards version to 3.6.2.1.
  * Recompile with new GNUstep libraries. (Closes: #350077)
  * Fix copyright file.

 -- Hubert Chan <hubert@uhoreg.ca>  Sun, 16 Apr 2006 17:52:19 -0600

gnumail (1.1.99-1) experimental; urgency=low

  * New upstream version.
  * Upload in experimental.
  * Update manpage.
  * Update description.

 -- Eric Heintzmann <eric@gnustep.fr.st>  Sun, 23 Jan 2005 16:57:32 +0100

gnumail (1.1.2-5) unstable; urgency=medium

  * Cleanup debina/rules.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Dec 2004 11:02:05 +0100

gnumail (1.1.2-4) unstable; urgency=low

  * Rename gnumail binary package to gnumail.app.

 -- Eric Heintzmann <eric@gnustep.fr.st>  Thu, 25 Nov 2004 19:03:22 +0100

gnumail (1.1.2-3) unstable; urgency=medium

  * Rebuild using latest pantomime, addresses and GNUstep Core packages.
  * Remove old wrapper script and provide new wrapper link.

 -- Eric Heintzmann <eric@gnustep.fr.st>  Sun,  8 Aug 2004 22:49:30 +0200

gnumail (1.1.2-2) unstable; urgency=low

  * Rebuild using new addresses package.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Mar 2004 07:41:02 +0100

gnumail (1.1.2-1) unstable; urgency=low

  * New upstream version (closes: #228759, #228189).
  * New maintainer.
  * Now Build-Depends on addresses-framework and addressview-framework.
  * Add a dependency to addressmanager.
  * Update debian/gnumail.sh wrapper script.
  * Update debian/menu file.
  * Add an icon in menu.

 -- Eric Heintzmann <eric@gnustep.fr.st>  Tue, 10 Feb 2004 18:41:22 +0100

gnumail (1.1.1-1) unstable; urgency=low

  * New upstream version.
  * Add man page (closes: #163374).

 -- Matthias Klose <doko@debian.org>  Wed, 15 Oct 2003 21:11:58 +0200

gnumail (1.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Aug 2003 22:26:20 +0200

gnumail (1.0.99-2) unstable; urgency=low

  * Recompile for new GNUstep directory layout.
  * Fix suggestion for gnupg (closes: #196896).

 -- Matthias Klose <doko@debian.org>  Wed, 30 Jul 2003 22:38:31 +0200

gnumail (1.0.99-1) unstable; urgency=low

  * New upstream release (2nd 1.1 prerelease).
    - Fixes hang at startup (closes: #163375).
  * Update Standards-Version to 3.5.10.

 -- Matthias Klose <doko@debian.org>  Thu, 29 May 2003 14:26:53 +0200

gnumail (1.0.98-1) unstable; urgency=low

  * New upstream version 1.1.0 pre1.

 -- Matthias Klose <doko@debian.org>  Sun, 26 Jan 2003 20:32:29 +0100

gnumail (1.0.3-3) unstable; urgency=medium

  * Find the PGP and Clock bundles in the System hierarchy.

 -- Matthias Klose <doko@debian.org>  Tue,  8 Oct 2002 23:57:31 +0200

gnumail (1.0.3-2) unstable; urgency=low

  * Search the PGP and Clock bundles in the System hierarchy.

 -- Matthias Klose <doko@debian.org>  Fri, 13 Sep 2002 20:38:38 +0200

gnumail (1.0.3-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 11 Sep 2002 22:21:14 +0200

gnumail (1.0.2-2) unstable; urgency=low

  * Install Clock and PGP bundles in GNUSTEP_SYSTEM_ROOT (closes: #155463).

 -- Matthias Klose <doko@debian.org>  Fri,  9 Aug 2002 08:42:51 +0200

gnumail (1.0.2-1) unstable; urgency=low

  * New upstream version.
  * Recompile should fix startup problems (closes: #143105, #145781).

 -- Matthias Klose <doko@debian.org>  Sat, 20 Jul 2002 16:48:45 +0200

gnumail (1.0.1-2) unstable; urgency=low

  * Build with gnustep-gui-0.7.7.

 -- Matthias Klose <doko@debian.org>  Sun, 12 May 2002 13:22:31 +0200

gnumail (1.0.1-1) unstable; urgency=low

  * New upstream releases.

 -- Matthias Klose <doko@debian.org>  Wed,  1 May 2002 15:01:24 +0200

gnumail (1.0.0-2) unstable; urgency=medium

  * Create ~/GNUstep/Library if it does not exist (closes: #141087).
  * gnustep-make problems fixed in earlier upload (closes: #138877).
  * Fix dangling symlinks (closes: #138083).

 -- Matthias Klose <doko@debian.org>  Sat,  6 Apr 2002 13:33:44 +0200

gnumail (1.0.0-1) unstable; urgency=medium

  * Upload with correct version number.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Mar 2002 17:40:24 +0100

gnumail (0.9.94-0.1) unstable; urgency=medium

  * Non Maintainer Upload
  * New upstream release
  * Don't know why Matthias chose to use a versioning scheme different
    than upstream.  In order not to harm his versioning scheme i just
    bumped up his version instead of using upstream's.

 -- Paul Seelig <pseelig@debian.org>  Mon, 25 Mar 2002 03:08:53 +0100

gnumail (0.9.93-1) unstable; urgency=low

  * New upstream release (1.0.0pre3).
  * Added a menu entry (Paul Seelig). Closes: #134686.

 -- Matthias Klose <doko@debian.org>  Mon,  4 Mar 2002 20:52:42 +0100

gnumail (0.9.92-2) unstable; urgency=low

  * Fix typo in start script.

 -- Matthias Klose <doko@debian.org>  Sat, 23 Feb 2002 15:54:19 +0100

gnumail (0.9.92-1) unstable; urgency=low

  * New upstream release (1.0.0pre2).
  * Adjust the package description. IMO it's worth describing the origin
    of a package. Closes: #130020.
  * README.Debian: explain how to start GNUMail.app.
  * Add menu file provided by Paul Seelig.

 -- Matthias Klose <doko@debian.org>  Sun,  3 Feb 2002 20:58:41 +0100

gnumail (0.9.91-1) unstable; urgency=low

  * Initial Release: GNUmail.app 1.0.0pre1.

 -- Matthias Klose <doko@debian.org>  Wed, 16 Jan 2002 22:51:03 +0100
